import classnames from 'classnames';
import MarkdownContent from "../../../content/MarkdownContent/index.js";
import customizable from "../../../../utils/css/customizable.js";
import classes from './styles.module.scss';
const Block = function Block(props) {
  const {
    title,
    description,
    fullWidth,
    content
  } = props;
  return <div className={classnames(customizable('InteractiveFooter__block'), classes.block, {
    [classes['full-width']]: fullWidth
  })}>
      {content || <>
          <h2 className={classes.title}>
            {title}
          </h2>
          <MarkdownContent source={description} unstyled />
        </>}
    </div>;
};
export default Block;